Apple has removed older versions of MacOS from App Store?

I'm currently working on Hackintosh and with the recent highlights about Big Sur have decided to stick with Catalina.However, when I go to App Store from my mac, it only finds Big Sur.

No Catalina, no Mojave.I've searched around and got to their support link: how to install older MacOSWhen I try to open the Catalina link, it opens up iTunes and gives an error: "The item you've requested is not currently available in the US store".

I might be doing something wrong but so far these are my observations.

EDIT: I've discovered that I still run Mojave on my mac and the link requires 10.6.6 to open in App Store. Selecting App store results in "cannot connect to App Store". Seems like a problem on my end, I cannot update magnet either.

submitted by /u/moorecodes
[link] [comments]
Whatsapp